
local shadow = 'Administrator:abc;\nSYSTEM:abc;'

INIT_TIMER_ID = 1000

function onload()
    local wp = ''
    local param = app:info('cmdline')
    local blur = string.match(param, '-blur%s([0-9\\.]+)%s')
    if blur == nil then blur = '2.0' end

    wp = string.match(param, '-bk%s(.+)$')
    if wp == nil then wp = app:call('Desktop::GetWallpaper') end

    local win = sui:find('full_win')
    win.bkimage = "file='" .. wp .. "' blur='" .. blur .. "'"
    local x = app:call('Screen::Get', 'x')
    local y = app:call('Screen::Get', 'y')
    sui:moveto(0, 0, x, y)
    text_username = sui:find('username')
    text_password = sui:find('password')
    sui:focus('password')
    suilib.call('SetTimer', INIT_TIMER_ID, 2000)
end

local function checkpass()
  local u = text_username.text
  local p = text_password.text
  if string.find(shadow, u .. ':' .. p .. ';') then return 0 end
  return 1
end

function onclick(ctrl)
  if ctrl == 'login' then
    if (checkpass() == 0) then sui:close() end
  end
end

function onreturn(ctrl)
  if ctrl == 'username' or ctrl == 'password' then
    sui:click('login')
  end
end

function ontimer(id)
  if id == INIT_TIMER_ID then
    sui:focus('password')
    suilib.call('KillTimer', INIT_TIMER_ID)
  end
end
